Name:           python-pyiron-atomistics
Version:        0.7.4
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        An interface to atomistic simulation codes including but not limited to GPAW, LAMMPS, S/Phi/nX and VASP.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pyiron.org
Source:         %{pypi_source pyiron_atomistics}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pyiron-atomistics' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pyiron-atomistics
Summary:        %{summary}

%description -n python3-pyiron-atomistics %_description


%prep
%autosetup -p1 -n pyiron_atomistics-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pyiron-atomistics -f %{pyproject_files}


%changelog
%autochangelog